%define name	gtkdive
%define version	0.7
%define release 2mdk
%define summary	Buehlmann ZH-L16 model diving simulation

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
Source0:	http://mattzz.dyndns.org/twiki/pub/Projects/GtkDive/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
URL:		http://mattzz.dyndns.org/twiki/bin/view/Projects/GtkDive
License:	GPL
Group:		Games/Strategy
BuildRequires:	gtk+2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This program was written to learn about the Buehlmann ZH-L16 model that deals
with accumulation of inert gas in body tissues. Currently it compiles for
GNU/Linux.

Do not use this to plan any dive! 

%prep
%setup -q
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# icons
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png 

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
	needs="x11"\
	section="More applications/Sciences/Other"\
	title="GtkDive"\
	longtitle="%{summary}"\
	command="%{_bindir}/%{name}"\
	icon="%{name}.png"
EOF

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog README
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-2mdk 
- rebuild

* Mon Apr 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-1mdk
- first mdk release
